package com.example.demo.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import com.example.demo.model.Comment;
import com.example.demo.repository.CommentRepository;

@Controller
public class CommentController {

    private final CommentRepository repository;

    //@Autowired ← コンストラクタが１つの場合、@Autowiredは省略できます
    public CommentController(CommentRepository repository) {
        this.repository = repository;
    }

    @GetMapping("/")
    public String getAllComments(Comment comment, Model model) {
        model.addAttribute("comments", repository.findAll());
        return "list";
    }

    @PostMapping("/add")
    public String addComment(@Validated Comment comment,
            BindingResult result, Model model) {

        model.addAttribute("comments", repository.findAll());
        if (result.hasErrors()) {
            return "list";
        }
        repository.save(comment);

        // ルートパス("/")に、リダイレクトします
        return "redirect:/";
    }
}
